Distribution:	CCux
Packager:	Dieter Rethmeyer

Name:		pciutils
Version:	3.0.0
Release: 	1
Epoch:		1
Source:		pciutils-%{version}.tar.gz
Patch0:		pciutils-strip.patch
Patch2:		pciutils-2.1.10-scan.patch
Patch3: 	pciutils-havepread.patch
Patch6: 	pciutils-2.2.1-idpath.patch
Patch7:		pciutils-2.1.99-gcc4.patch
Patch8: 	pciutils-2.2.3-multilib.patch
Patch9:		pciutils-2.2.3-sata.patch
URL:		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
License:	GNU/GPL
Buildroot: 	%{_tmppath}/%{name}-buildroot
Summary: 	PCI bus related utilities.
Group: 		System/Configuration/Hardware
# these are required to get the latest usb.ids file :
BuildRequires:  which
BuildRequires:  wget
BuildRequires:	glibc-devel
Requires:	hwdata

%description
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus. The utilities provided
require kernel version 2.1.82 or newer (which support the
/proc/bus/pci interface).

%package devel
Summary: 	pciutils development headers and libpci.
Group:     	System/Libraries         
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header and include files for developing applications with pciutils.

%prep
%setup -q
#%patch0 -p1 -b .strip
%patch2 -p1 -b .scan
%patch3 -p1 -b .pread
%patch6 -p1 -b .idpath
%patch7 -p1 -b .glibcmacros
#%patch8 -p1 -b .multilib
#%patch9 -p1 -b .sata

%build
make OPT="-Os -march=i686 -pipe -fomit-frame-pointer -D_GNU_SOURCE=1" PREFIX="/usr" IDSDIR="/usr/share/hwdata"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8,%{_libdir},%{_includedir}/pci}

install lspci setpci update-pciids $RPM_BUILD_ROOT/sbin
install lspci.8 setpci.8 update-pciids.8 $RPM_BUILD_ROOT%{_mandir}/man8
install lib/libpci.a $RPM_BUILD_ROOT%{_libdir}
install lib/pci.h $RPM_BUILD_ROOT%{_includedir}/pci
install lib/header.h $RPM_BUILD_ROOT%{_includedir}/pci
install lib/config.h $RPM_BUILD_ROOT%{_includedir}/pci
install lib/types.h $RPM_BUILD_ROOT%{_includedir}/pci

%files
%defattr(0644, root, root, 0755)
%{_mandir}/man8/*
%attr(0755, root, root) /sbin/*
%doc README ChangeLog pciutils.lsm

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/libpci.a
%{_includedir}/pci

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.0-1
- Version update
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.8-1
- Version update
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.6-1
- Version update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-1
- Version update
* Fri Sep 29 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.3-3
- back to 2.2.3
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.4-1
- Version update
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.3-2
- Version update
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-2
- refined spec file 
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version Update, reworked spec file
* Mon Feb 15 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.11-8
- Removed Group man
* Mon Feb 14 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.11-7
- Tweaked SPEC File
* Thu Feb  9 2005 Dieter Rethmeyer <dieter@rethmeyers.de> 2.1.11-6
- written spec on basis of mdk package for ccux
- added devel package to spec file
